<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
EntryComparisonDelegate Delegate
See Also Send Feedback

An application-specified comparison function.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public delegate int EntryComparisonDelegate(
    	DatabaseEntry dbt1,
    	DatabaseEntry dbt2
    )

Visual Basic (Declaration)

    Public Delegate Function EntryComparisonDelegate ( _
    	dbt1 As DatabaseEntry, _
    	dbt2 As DatabaseEntry _
    ) As Integer

Visual C++

    public delegate int EntryComparisonDelegate(
    	DatabaseEntry^ dbt1,
    	DatabaseEntry^ dbt2
    )

#### Parameters

dbt1
  Type: BerkeleyDB..::.DatabaseEntry
  The application supplied key.

dbt2
  Type: BerkeleyDB..::.DatabaseEntry
  The current tree's key.

#### Return Value

An integer value less than, equal to, or greater than zero if the first key parameter is considered to be respectively less than, equal to, or greater than the second key parameter.

# See Also

BerkeleyDB Namespace